Ruby: ext/win32ole/win32ole_record.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Structures | Functions | Variables
win32ole_record.c File Reference
`#include "win32ole.h"`

Go to the source code of this file.

## Data Structures
struct | olerecorddata

## Functions
void | ole_rec2variant (VALUE rec, VARIANT *var)
void | olerecord_set_ivar (VALUE obj, IRecordInfo *pri, void *prec)
VALUE | create_win32ole_record (IRecordInfo *pri, void *prec)
void | Init_win32ole_record (void)

## Variables
VALUE | cWIN32OLE_RECORD

## Function Documentation

## ◆ create_win32ole_record()

VALUE create_win32ole_record | ( | IRecordInfo * | pri,
|  | void * | prec
| ) |  |

Definition at line 172 of file win32ole_record.c.

References cWIN32OLE_RECORD, olerecord_set_ivar(), and olerecorddata::pri.

Referenced by ole_variant2val().

## ◆ Init_win32ole_record()

void Init_win32ole_record | ( | void |  | ) |

Definition at line 595 of file win32ole_record.c.

References cWIN32OLE_RECORD, rb_cObject, rb_define_alloc_func(), rb_define_class(), and rb_define_method.

Referenced by Init_win32ole().

## ◆ ole_rec2variant()

void ole_rec2variant | ( | VALUE | rec,
|  | VARIANT * | var
| ) |  |

Definition at line 87 of file win32ole_record.c.

References ALLOC_N, eWIN32OLERuntimeError, free, HRESULT(), ole_raise(), olerecorddata::pdata, olerecorddata::pri, rb_eRuntimeError, rb_hash_foreach(), rb_raise(), and TypedData_Get_Struct.

Referenced by ole_val2variant().

## ◆ olerecord_set_ivar()

void olerecord_set_ivar | ( | VALUE | obj,
|  | IRecordInfo * | pri,
|  | void * | prec
| ) |  |

Definition at line 123 of file win32ole_record.c.

References ALLOCA_N, count, HRESULT(), NULL, OLE_ADDREF, OLE_RELEASE, ole_variant2val(), olerecorddata::pdata, olerecorddata::pri, Qnil, rb_hash_aset(), rb_hash_new(), rb_intern(), rb_ivar_set(), TypedData_Get_Struct, and WC2VSTR.

Referenced by create_win32ole_record().

## Variable Documentation

## ◆ cWIN32OLE_RECORD

VALUE cWIN32OLE_RECORD

Definition at line 592 of file win32ole_record.c.

Referenced by create_win32ole_record(), Init_win32ole_record(), and ole_val2variant().